Package org.duckdb

# Class DuckDBAppender

java.lang.Object
org.duckdb.DuckDBAppender

All Implemented Interfaces:
  `AutoCloseable`

public class DuckDBAppender extends Object implements AutoCloseable

## Method Summary

Modifier and Type
Method
Description
`DuckDBAppender`
`append(boolean value)`
`DuckDBAppender`
`append(boolean[] values)`
`DuckDBAppender`
`append(boolean[][] values)`
`DuckDBAppender`
`append(boolean[][] values, boolean[][] nullMask)`
`DuckDBAppender`
`append(boolean[] values, boolean[] nullMask)`
`DuckDBAppender`
`append(byte value)`
`DuckDBAppender`
`append(byte[] values)`
`DuckDBAppender`
`append(char value)`
`DuckDBAppender`
`append(char[] characters)`
`DuckDBAppender`
`append(double value)`
`DuckDBAppender`
`append(double[] values)`
`DuckDBAppender`
`append(double[][] values)`
`DuckDBAppender`
`append(double[][] values, boolean[][] nullMask)`
`DuckDBAppender`
`append(double[] values, boolean[] nullMask)`
`DuckDBAppender`
`append(float value)`
`DuckDBAppender`
`append(float[] values)`
`DuckDBAppender`
`append(float[][] values)`
`DuckDBAppender`
`append(float[][] values, boolean[][] nullMask)`
`DuckDBAppender`
`append(float[] values, boolean[] nullMask)`
`DuckDBAppender`
`append(int value)`
`DuckDBAppender`
`append(int[] values)`
`DuckDBAppender`
`append(int[][] values)`
`DuckDBAppender`
`append(int[][] values, boolean[][] nullMask)`
`DuckDBAppender`
`append(int[] values, boolean[] nullMask)`
`DuckDBAppender`
`append(long value)`
`DuckDBAppender`
`append(long[] values)`
`DuckDBAppender`
`append(long[][] values)`
`DuckDBAppender`
`append(long[][] values, boolean[][] nullMask)`
`DuckDBAppender`
`append(long[] values, boolean[] nullMask)`
`DuckDBAppender`
`append(short value)`
`DuckDBAppender`
`append(short[] values)`
`DuckDBAppender`
`append(short[][] values)`
`DuckDBAppender`
`append(short[][] values, boolean[][] nullMask)`
`DuckDBAppender`
`append(short[] values, boolean[] nullMask)`
`DuckDBAppender`
`append(Boolean value)`
`DuckDBAppender`
`append(Byte value)`
`DuckDBAppender`
`append(Character value)`
`DuckDBAppender`
`append(Double value)`
`DuckDBAppender`
`append(Float value)`
`DuckDBAppender`
`append(Integer value)`
`DuckDBAppender`
`append(Long value)`
`DuckDBAppender`
`append(Short value)`
`DuckDBAppender`
`append(String value)`
`DuckDBAppender`
`append(BigDecimal value)`
`DuckDBAppender`
`append(BigInteger value)`
`DuckDBAppender`
`append(LocalDate value)`
`DuckDBAppender`
`append(LocalDateTime value)`
`DuckDBAppender`
`append(LocalTime value)`
`DuckDBAppender`
`append(OffsetDateTime value)`
`DuckDBAppender`
`append(OffsetTime value)`
`DuckDBAppender`
`append(Date value)`
`DuckDBAppender`
`appendByteArray(byte[] values)`
`DuckDBAppender`
`appendByteArray(byte[][] values)`
`DuckDBAppender`
`appendByteArray(byte[][] values, boolean[][] nullMask)`
`DuckDBAppender`
`appendByteArray(byte[] values, boolean[] nullMask)`
`DuckDBAppender`
`appendDayMicros(long micros)`
`DuckDBAppender`
`appendDayMicros(long micros, int offset)`
`DuckDBAppender`
`appendDecimal(int value)`
`DuckDBAppender`
`appendDecimal(long value)`
`DuckDBAppender`
`appendDecimal(long lower, long upper)`
`DuckDBAppender`
`appendDecimal(short value)`
`DuckDBAppender`
`appendDefault()`
`DuckDBAppender`
`appendEpochDays(int days)`
`DuckDBAppender`
`appendEpochMicros(long micros)`
`DuckDBAppender`
`appendEpochMillis(long millis)`
`DuckDBAppender`
`appendEpochNanos(long nanos)`
`DuckDBAppender`
`appendEpochSeconds(long seconds)`
`DuckDBAppender`
`appendHugeInt(long lower, long upper)`
`DuckDBAppender`
`appendNull()`
`DuckDBAppender`
`beginRow()`
`DuckDBAppender`
`beginStruct()`
`void`
`close()`
`DuckDBAppender`
`endRow()`
`DuckDBAppender`
`endStruct()`
`void`
`flush()`
`boolean`
`getWriteInlinedStrings()`
`boolean`
`isClosed()`
`void`
`setWriteInlinedStrings(boolean writeInlinedStrings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### beginRow

public DuckDBAppender beginRow() throws SQLException

Throws:
  `SQLException`

### endRow

public DuckDBAppender endRow() throws SQLException

Throws:
  `SQLException`

### beginStruct

public DuckDBAppender beginStruct() throws Exception

Throws:
  `Exception`

### endStruct

public DuckDBAppender endStruct() throws Exception

Throws:
  `Exception`

### flush

public void flush() throws SQLException

Throws:
  `SQLException`

### close

public void close() throws SQLException

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `SQLException`

### isClosed

public boolean isClosed() throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(boolean value) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(char value) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(byte value) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(short value) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(int value) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(long value) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(float value) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(double value) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(Boolean value) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(Character value) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(Byte value) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(Short value) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(Integer value) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(Long value) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(Float value) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(Double value) throws SQLException

Throws:
  `SQLException`

### appendHugeInt

public DuckDBAppender appendHugeInt(long lower, long upper) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(BigInteger value) throws SQLException

Throws:
  `SQLException`

### appendDecimal

public DuckDBAppender appendDecimal(short value) throws SQLException

Throws:
  `SQLException`

### appendDecimal

public DuckDBAppender appendDecimal(int value) throws SQLException

Throws:
  `SQLException`

### appendDecimal

public DuckDBAppender appendDecimal(long value) throws SQLException

Throws:
  `SQLException`

### appendDecimal

public DuckDBAppender appendDecimal(long lower, long upper) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(BigDecimal value) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(boolean[] values) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(boolean[] values, boolean[] nullMask) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(boolean[][] values) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(boolean[][] values, boolean[][] nullMask) throws SQLException

Throws:
  `SQLException`

### appendByteArray

public DuckDBAppender appendByteArray(byte[] values) throws SQLException

Throws:
  `SQLException`

### appendByteArray

public DuckDBAppender appendByteArray(byte[] values, boolean[] nullMask) throws SQLException

Throws:
  `SQLException`

### appendByteArray

public DuckDBAppender appendByteArray(byte[][] values) throws SQLException

Throws:
  `SQLException`

### appendByteArray

public DuckDBAppender appendByteArray(byte[][] values, boolean[][] nullMask) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(byte[] values) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(char[] characters) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(short[] values) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(short[] values, boolean[] nullMask) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(short[][] values) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(short[][] values, boolean[][] nullMask) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(int[] values) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(int[] values, boolean[] nullMask) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(int[][] values) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(int[][] values, boolean[][] nullMask) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(long[] values) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(long[] values, boolean[] nullMask) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(long[][] values) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(long[][] values, boolean[][] nullMask) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(float[] values) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(float[] values, boolean[] nullMask) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(float[][] values) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(float[][] values, boolean[][] nullMask) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(double[] values) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(double[] values, boolean[] nullMask) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(double[][] values) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(double[][] values, boolean[][] nullMask) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(String value) throws SQLException

Throws:
  `SQLException`

### appendEpochDays

public DuckDBAppender appendEpochDays(int days) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(LocalDate value) throws SQLException

Throws:
  `SQLException`

### appendDayMicros

public DuckDBAppender appendDayMicros(long micros) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(LocalTime value) throws SQLException

Throws:
  `SQLException`

### appendDayMicros

public DuckDBAppender appendDayMicros(long micros, int offset) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(OffsetTime value) throws SQLException

Throws:
  `SQLException`

### appendEpochSeconds

public DuckDBAppender appendEpochSeconds(long seconds) throws SQLException

Throws:
  `SQLException`

### appendEpochMillis

public DuckDBAppender appendEpochMillis(long millis) throws SQLException

Throws:
  `SQLException`

### appendEpochMicros

public DuckDBAppender appendEpochMicros(long micros) throws SQLException

Throws:
  `SQLException`

### appendEpochNanos

public DuckDBAppender appendEpochNanos(long nanos) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(LocalDateTime value) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(Date value) throws SQLException

Throws:
  `SQLException`

### append

public DuckDBAppender append(OffsetDateTime value) throws SQLException

Throws:
  `SQLException`

### appendNull

public DuckDBAppender appendNull() throws SQLException

Throws:
  `SQLException`

### appendDefault

public DuckDBAppender appendDefault() throws SQLException

Throws:
  `SQLException`

### getWriteInlinedStrings

public boolean getWriteInlinedStrings()

### setWriteInlinedStrings

public void setWriteInlinedStrings(boolean writeInlinedStrings)